RTEMS: bsps/arm/atsam/include/libchip/include/usbhs.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Enumerations | Functions
usbhs.h File Reference

Go to the source code of this file.

## Macros
#define | UHD_PIPE_MAX_TRANS 0x8000
| Maximum transfer size on USB DMA.
#define | CHIP_USB_NUMPIPE 10
#define | CHIP_USB_DMA_NUMPIPE 7
#define | CHIP_USB_PIPE_MAXPACKETSIZE(ep) ((ep == 0) ? 64 : 1024)
#define | CHIP_USB_PIPE_BANKS(ep) ((ep==0)?1:((ep<=2)?3:2))
#define | CHIP_USB_PIPE_HBW(ep) ((((ep)>=1) &&((ep)<=2))?true:false)
#define | CHIP_USB_PIPE_DMA(ep) ((((ep)>=1)&&((ep)<=7))?true:false)
#define | USB_DEVICE_HS_SUPPORT
#define | USB_DEVICE_EP_CTRL_SIZE 64
| Control endpoint size.
#define | CHIP_USB_UDP
#define | CHIP_USB_PULLUP_INTERNAL
#define | CHIP_USB_NUMENDPOINTS 10
#define | CHIP_USB_ENDPOINTS_MAXPACKETSIZE(ep) ((ep == 0) ? 64 : 1024)
#define | CHIP_USB_ENDPOINTS_BANKS(ep) ((ep==0)?1:((ep<=2)?3:2))
#define | CHIP_USB_ENDPOINTS_HBW(ep) ((((ep)>=1) &&((ep)<=2))?true:false)
#define | CHIP_USB_ENDPOINTS_DMA(ep) ((((ep)>=1)&&((ep)<=7))?true:false)
#define | DMA_MAX_FIFO_SIZE (65536/1)
#define | EPT_VIRTUAL_SIZE 8192
USBHS Host IP properties
Get maximal number of endpoints
#define | uhd_get_pipe_max_nbr() (9)
#define | USBHS_EPT_NUM (uhd_get_pipe_max_nbr()+1)
#define | uhd_get_pipe_bank_max_nbr(ep) ((ep == 0) ? 1 : ((ep <= 2) ? 3 : 2))
| Get maximal number of banks of endpoints.
#define | uhd_get_pipe_size_max(ep) (((ep) == 0) ? 64 : 1024)
| Get maximal size of endpoint (3X, 1024/64)
#define | Is_uhd_pipe_dma_supported(ep) ((((ep) >= 1) && ((ep) <= 7)) ? true : false)
| Get DMA support of endpoints.
#define | Is_uhd_pipe_high_bw_supported(ep) (((ep) >= 2) ? true : false)
| Get High Band Width support of endpoints.

## Enumerations
enum | USB_Mode_t { HOST_MODE = 0 , DEVICE_MODE = 1 }

## Functions
__STATIC_INLINE void | USBHS_FreezeClock (Usbhs *pUsbhs)
| Freeze or unfreeze USB clock.
__STATIC_INLINE void | USBHS_UnFreezeClock (Usbhs *pUsbhs)
| Freeze or unfreeze USB clock.
__STATIC_INLINE void | USBHS_VBusHWC (Usbhs *pUsbhs, uint8_t Enable)
| Freeze or unfreeze USB clock.
__STATIC_INLINE void | USBHS_UsbEnable (Usbhs *pUsbhs, uint8_t Enable)
| Enables or disables USB.
__STATIC_INLINE void | USBHS_UsbMode (Usbhs *pUsbhs, USB_Mode_t Mode)
| Device or Host Mode.
__STATIC_INLINE uint8_t | USBHS_ISUsableClock (Usbhs *pUsbhs)
| Check if clock is usable or not.
__STATIC_INLINE uint32_t | USBHS_ReadStatus (Usbhs *pUsbhs)
| Raise interrupt for endpoint.
__STATIC_INLINE uint32_t | USBHS_GetUsbSpeed (Usbhs *pUsbhs)
| Enable or disable USB address.
__STATIC_INLINE bool | USBHS_IsUsbFullSpeed (Usbhs *pUsbhs)
| Enable or disable USB address.
__STATIC_INLINE bool | USBHS_IsUsbHighSpeed (Usbhs *pUsbhs)
| Enable or disable USB address.
__STATIC_INLINE bool | USBHS_IsUsbLowSpeed (Usbhs *pUsbhs)
| Enable or disable USB address.
__STATIC_INLINE void | USBHS_Ack (Usbhs *pUsbhs, uint32_t AckType)
| Raise interrupt for endpoint.
__STATIC_INLINE void | USBHS_Set (Usbhs *pUsbhs, uint32_t SetStatus)
| Raise interrupt for endpoint.
__STATIC_INLINE void | USBHS_EnableAddress (Usbhs *pUsbhs, uint8_t Enable)
| Enable or disable USB address.
__STATIC_INLINE void | USBHS_SetAddress (Usbhs *pUsbhs, uint8_t Addr)
| Configure USB address and enable or disable it.
__STATIC_INLINE uint8_t | USBHS_GetAddress (Usbhs *pUsbhs)
| Get USB address.
__STATIC_INLINE void | USBHS_DetachUsb (Usbhs *pUsbhs, uint8_t Enable)
| Attach or detach USB.
__STATIC_INLINE void | USBHS_ForceLowSpeed (Usbhs *pUsbhs, uint8_t Enable)
| Force Low Speed mode.
__STATIC_INLINE void | USBHS_EnableHighSpeed (Usbhs *pUsbhs, uint8_t Enable)
| Disable/Enables High Speed mode.
__STATIC_INLINE void | USBHS_SetRemoteWakeUp (Usbhs *pUsbhs)
| Set Remote WakeUp mode.
__STATIC_INLINE void | USBHS_EnableTestMode (Usbhs *pUsbhs, uint32_t mode)
| Disable/Enables Test mode.
__STATIC_INLINE void | USBHS_EnableHSTestMode (Usbhs *pUsbhs)
| Disable/Enables HS Test mode.
__STATIC_INLINE uint32_t | USBHS_ReadIntStatus (Usbhs *pUsbhs, uint32_t IntType)
| Read status for an interrupt.
__STATIC_INLINE uint32_t | USBHS_ReadEpIntStatus (Usbhs *pUsbhs, uint8_t EpNum)
| Read status for an Endpoint.
__STATIC_INLINE uint32_t | USBHS_ReadDmaIntStatus (Usbhs *pUsbhs, uint8_t DmaNum)
| Read status for a DMA Endpoint.
__STATIC_INLINE void | USBHS_AckInt (Usbhs *pUsbhs, uint32_t IntType)
| Acknowledge interrupt for endpoint.
__STATIC_INLINE void | USBHS_RaiseInt (Usbhs *pUsbhs, uint32_t IntType)
| Raise interrupt for endpoint.
__STATIC_INLINE void | USBHS_RaiseDmaInt (Usbhs *pUsbhs, uint8_t Dma)
| Raise DMA interrupt for endpoint.
__STATIC_INLINE uint32_t | USBHS_IsIntEnable (Usbhs *pUsbhs, uint32_t IntType)
| check for interrupt of endpoint.
__STATIC_INLINE uint32_t | USBHS_IsIntEnableEP (Usbhs *pUsbhs, uint8_t EpNum)
| Check if endpoint's interrupt is enabled for a given endpoint number.
__STATIC_INLINE uint32_t | USBHS_IsDmaIntEnable (Usbhs *pUsbhs, uint8_t DmaNum)
| Check if endpoint's DMA interrupt is enabled for a given endpoint DMA number.
__STATIC_INLINE void | USBHS_EnableInt (Usbhs *pUsbhs, uint32_t IntType)
| Enables Interrupt.
__STATIC_INLINE void | USBHS_EnableIntEP (Usbhs *pUsbhs, uint8_t EpNum)
| Enables interrupt for a given endpoint.
__STATIC_INLINE void | USBHS_EnableDMAIntEP (Usbhs *pUsbhs, uint32_t DmaEp)
| Enables DMA interrupt for a given endpoint.
__STATIC_INLINE void | USBHS_DisableInt (Usbhs *pUsbhs, uint32_t IntType)
| Disables interrupt for endpoint.
__STATIC_INLINE void | USBHS_DisableIntEP (Usbhs *pUsbhs, uint8_t Ep)
| Disables interrupt for endpoint.
__STATIC_INLINE void | USBHS_DisableDMAIntEP (Usbhs *pUsbhs, uint8_t DmaEp)
| Disables DMA interrupt for endpoint.
__STATIC_INLINE void | USBHS_EnableEP (Usbhs *pUsbhs, uint8_t Ep, uint8_t Enable)
| Enables or disables endpoint.
__STATIC_INLINE void | USBHS_ResetEP (Usbhs *pUsbhs, uint8_t Ep)
| Rests Endpoint.
__STATIC_INLINE uint32_t | USBHS_IsEPEnabled (Usbhs *pUsbhs, uint8_t Ep)
| Checks if Endpoint is enable.
__STATIC_INLINE uint8_t | USBHS_GetMicroFrameNum (Usbhs *pUsbhs)
| Get MicrFrame number.
__STATIC_INLINE uint8_t | USBHS_GetFrameNum (Usbhs *pUsbhs)
| Get Frame number.
__STATIC_INLINE uint8_t | USBHS_GetFrameNumCrcErr (Usbhs *pUsbhs)
| Get Frame number CRC error.
__STATIC_INLINE void | USBHS_ConfigureEPs (Usbhs *pUsbhs, const uint8_t Ep, const uint8_t Type, const uint8_t Dir, const uint8_t Size, const uint8_t Bank)
__STATIC_INLINE void | USBHS_AutoSwitchBankEnable (Usbhs *pUsbhs, uint8_t Ep, uint8_t Enable)
__STATIC_INLINE void | USBHS_AllocateMemory (Usbhs *pUsbhs, uint8_t Ep)
__STATIC_INLINE void | USBHS_FreeMemory (Usbhs *pUsbhs, uint8_t Ep)
__STATIC_INLINE uint32_t | USBHS_GetConfigureEPs (Usbhs *pUsbhs, uint8_t Ep, uint32_t IntType)
__STATIC_INLINE uint8_t | USBHS_GetEpType (Usbhs *pUsbhs, uint8_t Ep)
__STATIC_INLINE uint32_t | USBHS_GetEpSize (Usbhs *pUsbhs, uint8_t Ep)
__STATIC_INLINE void | USBHS_SetIsoTrans (Usbhs *pUsbhs, uint8_t Ep, uint8_t nbTrans)
__STATIC_INLINE uint32_t | USBHS_IsEpIntEnable (Usbhs *pUsbhs, uint8_t Ep, uint32_t EpIntType)
__STATIC_INLINE void | USBHS_EnableEPIntType (Usbhs *pUsbhs, uint8_t Ep, uint32_t EpInt)
__STATIC_INLINE uint32_t | USBHS_IsBankKilled (Usbhs *pUsbhs, uint8_t Ep)
__STATIC_INLINE void | USBHS_KillBank (Usbhs *pUsbhs, uint8_t Ep)
__STATIC_INLINE void | USBHS_DisableEPIntType (Usbhs *pUsbhs, uint8_t Ep, uint32_t EpInt)
__STATIC_INLINE void | USBHS_AckEpInterrupt (Usbhs *pUsbhs, uint8_t Ep, uint32_t EpInt)
__STATIC_INLINE void | USBHS_RaiseEPInt (Usbhs *pUsbhs, uint8_t Ep, uint32_t EpInt)
__STATIC_INLINE uint32_t | USBHS_ReadEPStatus (Usbhs *pUsbhs, uint8_t Ep, uint32_t EpInt)
__STATIC_INLINE uint8_t | USBHS_IsBankFree (Usbhs *pUsbhs, uint8_t Ep)
__STATIC_INLINE uint8_t | USBHS_NumOfBanksInUse (Usbhs *pUsbhs, uint8_t Ep)
__STATIC_INLINE uint16_t | USBHS_ByteCount (Usbhs *pUsbhs, uint8_t Ep)
__STATIC_INLINE void | USBHS_SetDmaNDA (UsbhsDevdma *pUsbDma, uint32_t Desc)
| Sets DMA next descriptor address.
__STATIC_INLINE uint32_t | USBHS_GetDmaNDA (UsbhsDevdma *pUsbDma)
| Gets DMA next descriptor address.
__STATIC_INLINE void | USBHS_SetDmaBuffAdd (UsbhsDevdma *pUsbDma, uint32_t Addr)
| Sets USBHS's DMA Buffer addresse.
__STATIC_INLINE uint32_t | USBHS_GetDmaBuffAdd (UsbhsDevdma *pUsbDma)
| Gets USBHS's DMA Buffer addresse.
__STATIC_INLINE void | USBHS_ConfigureDma (UsbhsDevdma *pUsbDma, uint32_t Cfg)
| Setup the USBHS DMA.
__STATIC_INLINE uint32_t | USBHS_GetDmaConfiguration (UsbhsDevdma *pUsbDma)
| Get DMA configuration.
__STATIC_INLINE void | USBHS_SetDmaStatus (UsbhsDevdma *pUsbDma, uint32_t Status)
| Set DMA status.
__STATIC_INLINE uint32_t | USBHS_GetDmaStatus (UsbhsDevdma *pUsbDma)
| Get Dma Status.
__STATIC_INLINE uint16_t | USBHS_GetDmaBuffCount (UsbhsDevdma *pUsbDma)
| Get DMA buffer's count.
__STATIC_INLINE void | USBHS_SetHostHighSpeed (Usbhs *pUsbhs)
| Sets USB host's speed to Normal , it sets to HS from FS.
__STATIC_INLINE void | USBHS_SetHostLowSpeed (Usbhs *pUsbhs)
| Sets USB host's speed to Low speed.
__STATIC_INLINE void | USBHS_SetHostForcedFullSpeed (Usbhs *pUsbhs)
| Sets USB host's speed to forced Full speed.
__STATIC_INLINE void | USBHS_Reset (void)
| Sets USB host sends reste signal on USB Bus.
__STATIC_INLINE void | USBHS_StopReset (void)
| Sets USB host sends reste signal on USB Bus.
__STATIC_INLINE void | USBHS_Resume (void)
| Sets USB host send Resume on USB bus.
__STATIC_INLINE void | USBHS_EnableSOF (Usbhs *pUsbhs)
| Sets USB host Enable the Generation of Start of Frame.
__STATIC_INLINE uint8_t | USBHS_IsEnableSOF (Usbhs *pUsbhs)
| Sets USB host Enable the Generation of Start of Frame.
__STATIC_INLINE void | USBHS_DisableSOF (void)
| Sets USB host disable the Generation of Start of Frame.
__STATIC_INLINE uint32_t | USBHS_GetHostStatus (Usbhs *pUsbhs, uint8_t IntType)
| Gets USB host interrupt status.
__STATIC_INLINE uint32_t | USBHS_GetHostPipeStatus (Usbhs *pUsbhs, uint8_t PipeInt)
| Gets USB host interrupt status.
__STATIC_INLINE uint32_t | USBHS_GetHostDmaPipeStatus (Usbhs *pUsbhs, uint8_t PipeInt)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_ClearHostStatus (Usbhs *pUsbhs, uint32_t IntType)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_SetHostStatus (Usbhs *pUsbhs, uint32_t IntType)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_SetHostDmaStatus (Usbhs *pUsbhs, uint8_t PipeInt)
| Gets USB host interrupt status.
__STATIC_INLINE uint8_t | USBHS_IsHostIntEnable (Usbhs *pUsbhs, uint8_t IntType)
| Gets USB host interrupt status.
__STATIC_INLINE uint32_t | USBHS_IsHostPipeIntEnable (Usbhs *pUsbhs, uint8_t PipeInt)
| Gets USB host interrupt status.
__STATIC_INLINE uint32_t | USBHS_IsHostDmaIntEnable (Usbhs *pUsbhs, uint8_t PipeInt)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostIntDisable (Usbhs *pUsbhs, uint32_t IntType)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostPipeIntDisable (Usbhs *pUsbhs, uint8_t PipeInt)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostDmaIntDisable (Usbhs *pUsbhs, uint8_t PipeInt)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostIntEnable (Usbhs *pUsbhs, uint32_t IntType)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostPipeIntEnable (Usbhs *pUsbhs, uint8_t PipeInt)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostDmaIntEnable (Usbhs *pUsbhs, uint8_t PipeInt)
| Gets USB host interrupt status.
__STATIC_INLINE uint16_t | USBHS_HostGetSOF (void)
| Gets USB host interrupt status.
__STATIC_INLINE uint16_t | USBHS_HostGetFramePos (void)
| Gets USB host interrupt status.
__STATIC_INLINE uint16_t | USBHS_HostGetMSOF (void)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostSetAddr (Usbhs *pUsbhs, uint8_t Pipe, uint8_t Addr)
__STATIC_INLINE uint8_t | USBHS_HostGetAddr (Usbhs *pUsbhs, uint8_t Pipe)
__STATIC_INLINE void | USBHS_HostPipeEnable (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostPipeDisable (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE uint32_t | USBHS_IsHostPipeEnable (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostPipeReset (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostConfigure (Usbhs *pUsbhs, uint8_t Pipe, uint32_t pipeBank, uint8_t pipeSize, uint32_t pipeType, uint32_t pipeToken, uint8_t pipeEpNum, uint8_t PipeIntFreq)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostAllocMem (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostFreeMem (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE uint16_t | USBHS_HostGetSize (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostSetToken (Usbhs *pUsbhs, uint8_t Pipe, uint32_t Token)
| Gets USB host interrupt status.
__STATIC_INLINE uint32_t | USBHS_HostGetToken (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostSetPipeType (Usbhs *pUsbhs, uint8_t Pipe, uint8_t PipeType)
| Gets USB host interrupt status.
__STATIC_INLINE uint32_t | USBHS_HostGetPipeType (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE uint8_t | USBHS_GetPipeEpAddr (Usbhs *pUsbhs, uint8_t Pipe)
__STATIC_INLINE void | USBHS_HostEnableAutoSw (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostDisableAutoSw (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostSetIntFreq (Usbhs *pUsbhs, uint8_t Pipe, uint8_t Freq)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostEnablePing (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE uint8_t | USBHS_HostGetDataTogSeq (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE uint8_t | USBHS_HostGetNumOfBusyBank (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE uint8_t | USBHS_HostGetCurrentBank (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE uint8_t | USBHS_HostGetPipeByteCount (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE uint32_t | USBHS_IsHostConfigOk (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE uint32_t | USBHS_HostGetIntTypeStatus (Usbhs *pUsbhs, uint8_t Pipe, uint32_t intType)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostAckPipeIntType (Usbhs *pUsbhs, uint8_t Pipe, uint32_t intType)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostSetPipeIntType (Usbhs *pUsbhs, uint8_t Pipe, uint32_t intType)
| Gets USB host interrupt status.
__STATIC_INLINE uint32_t | USBHS_IsHostPipeIntTypeEnable (Usbhs *pUsbhs, uint8_t Pipe, uint32_t intType)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostDisablePipeIntType (Usbhs *pUsbhs, uint8_t Pipe, uint32_t intType)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostEnablePipeIntType (Usbhs *pUsbhs, uint8_t Pipe, uint32_t intType)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostEnableInReq (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostDisableInReq (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE uint8_t | USBHS_IsHostInReqEnable (Usbhs *pUsbhs, uint8_t Pipe)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostInReq (Usbhs *pUsbhs, uint8_t Pipe, uint8_t InReq)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostSetErr (Usbhs *pUsbhs, uint8_t Pipe, uint8_t Err)
| Gets USB host interrupt status.
__STATIC_INLINE uint8_t | USBHS_HostGetErr (Usbhs *pUsbhs, uint8_t Pipe, uint8_t Err)
| Gets USB host interrupt status.
__STATIC_INLINE void | USBHS_HostClearErr (Usbhs *pUsbhs, uint8_t Pipe, uint8_t Err)
| Gets USB host interrupt status.
__STATIC_INLINE uint8_t | USBHS_GetInterruptPipeNum (void)
__STATIC_INLINE void | USBHS_SetHostDmaNDA (UsbhsHstdma *pUsbDma, uint32_t Desc)
| Sets DMA next descriptor address.
__STATIC_INLINE uint32_t | USBHS_GetHostDmaNDA (UsbhsHstdma *pUsbDma)
| Gets DMA next descriptor address.
__STATIC_INLINE void | USBHS_SetHostDmaBuffAdd (UsbhsHstdma *pUsbDma, uint32_t Addr)
| Sets USBHS's DMA Buffer addresse.
__STATIC_INLINE uint32_t | USBHS_GetHostDmaBuffAdd (UsbhsHstdma *pUsbDma)
| Gets USBHS's DMA Buffer addresse.
__STATIC_INLINE void | USBHS_HostConfigureDma (UsbhsHstdma *pUsbDma, uint32_t Cfg)
| Setup the USBHS DMA.
__STATIC_INLINE uint32_t | USBHS_GetHostDmaConfiguration (UsbhsHstdma *pUsbDma)
| Get DMA configuration.
__STATIC_INLINE void | USBHS_SetHostPipeDmaStatus (UsbhsHstdma *pUsbDma, uint32_t Status)
| Set DMA status.
__STATIC_INLINE uint32_t | USBHS_GetHostPipeDmaStatus (UsbhsHstdma *pUsbDma)
| Get Dma Status.

## Macro Definition Documentation

## ◆ CHIP_USB_DMA_NUMPIPE

#define CHIP_USB_DMA_NUMPIPE 7

Number of USB endpoints

## ◆ CHIP_USB_ENDPOINTS_BANKS

#define CHIP_USB_ENDPOINTS_BANKS | ( |  | ep | ) | ((ep==0)?1:((ep<=2)?3:2))

Endpoints Number of Bank

## ◆ CHIP_USB_ENDPOINTS_DMA

#define CHIP_USB_ENDPOINTS_DMA | ( |  | ep | ) | ((((ep)>=1)&&((ep)<=7))?true:false)

Endpoints DMA support

## ◆ CHIP_USB_ENDPOINTS_MAXPACKETSIZE

#define CHIP_USB_ENDPOINTS_MAXPACKETSIZE | ( |  | ep | ) | ((ep == 0) ? 64 : 1024)

Endpoints max packet size

## ◆ CHIP_USB_NUMENDPOINTS

#define CHIP_USB_NUMENDPOINTS 10

Number of USB endpoints

## ◆ CHIP_USB_NUMPIPE

#define CHIP_USB_NUMPIPE 10

Number of USB endpoints

## ◆ CHIP_USB_PIPE_BANKS

#define CHIP_USB_PIPE_BANKS | ( |  | ep | ) | ((ep==0)?1:((ep<=2)?3:2))

Endpoints Number of Bank

## ◆ CHIP_USB_PIPE_DMA

#define CHIP_USB_PIPE_DMA | ( |  | ep | ) | ((((ep)>=1)&&((ep)<=7))?true:false)

Endpoints DMA support

## ◆ CHIP_USB_PIPE_MAXPACKETSIZE

#define CHIP_USB_PIPE_MAXPACKETSIZE | ( |  | ep | ) | ((ep == 0) ? 64 : 1024)

Endpoints max paxcket size

## ◆ CHIP_USB_PULLUP_INTERNAL

#define CHIP_USB_PULLUP_INTERNAL

Indicates chip has an internal pull-up.

## ◆ CHIP_USB_UDP

#define CHIP_USB_UDP

Indicates chip has an UDP High Speed.

## ◆ DMA_MAX_FIFO_SIZE

#define DMA_MAX_FIFO_SIZE (65536/1)

Max size of the FMA FIFO

## ◆ EPT_VIRTUAL_SIZE

#define EPT_VIRTUAL_SIZE 8192

fifo space size in DW

## ◆ USB_DEVICE_HS_SUPPORT

#define USB_DEVICE_HS_SUPPORT

addtogroup usbd_hal

## Function Documentation

## ◆ USBHS_Ack()

__STATIC_INLINE void USBHS_Ack | ( | Usbhs * | pUsbhs,
|  | uint32_t | AckType
| ) |  |

Raise interrupt for endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  AckType | Interrupt Acknowledge type

## ◆ USBHS_AckEpInterrupt()

__STATIC_INLINE void USBHS_AckEpInterrupt | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep,
|  | uint32_t | EpInt
| ) |  |

Clears register/acknowledge for a given endpoint

## ◆ USBHS_AckInt()

__STATIC_INLINE void USBHS_AckInt | ( | Usbhs * | pUsbhs,
|  | uint32_t | IntType
| ) |  |

Acknowledge interrupt for endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  IntType | Interrupt Type

## ◆ USBHS_AllocateMemory()

__STATIC_INLINE void USBHS_AllocateMemory | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Allocate Endpoint memory

## ◆ USBHS_AutoSwitchBankEnable()

__STATIC_INLINE void USBHS_AutoSwitchBankEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep,
|  | uint8_t | Enable
| ) |  |

Enable or disable Auto switch of banks

## ◆ USBHS_ByteCount()

__STATIC_INLINE uint16_t USBHS_ByteCount | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Read endpoint's byte count of the FIFO

## ◆ USBHS_ClearHostStatus()

__STATIC_INLINE void USBHS_ClearHostStatus | ( | Usbhs * | pUsbhs,
|  | uint32_t | IntType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_ConfigureDma()

__STATIC_INLINE void USBHS_ConfigureDma | ( | UsbhsDevdma * | pUsbDma,
|  | uint32_t | Cfg
| ) |  |

Setup the USBHS DMA.

Parameters

  pUsbDma | USBHS device DMA instance
  Cfg | DMA's configuration

## ◆ USBHS_ConfigureEPs()

__STATIC_INLINE void USBHS_ConfigureEPs | ( | Usbhs * | pUsbhs,
|  | const uint8_t | Ep,
|  | const uint8_t | Type,
|  | const uint8_t | Dir,
|  | const uint8_t | Size,
|  | const uint8_t | Bank
| ) |  |

Set Endpoints configuration Bank size, type and direction

## ◆ USBHS_DetachUsb()

__STATIC_INLINE void USBHS_DetachUsb | ( | Usbhs * | pUsbhs,
|  | uint8_t | Enable
| ) |  |

Attach or detach USB.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Enable | Attachs or detach USB device

## ◆ USBHS_DisableDMAIntEP()

__STATIC_INLINE void USBHS_DisableDMAIntEP | ( | Usbhs * | pUsbhs,
|  | uint8_t | DmaEp
| ) |  |

Disables DMA interrupt for endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  DmaEp | Endpoint's DMA number

## ◆ USBHS_DisableEPIntType()

__STATIC_INLINE void USBHS_DisableEPIntType | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep,
|  | uint32_t | EpInt
| ) |  |

Disables an interrupt type for a given endpoint

## ◆ USBHS_DisableInt()

__STATIC_INLINE void USBHS_DisableInt | ( | Usbhs * | pUsbhs,
|  | uint32_t | IntType
| ) |  |

Disables interrupt for endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  IntType | Int type

## ◆ USBHS_DisableIntEP()

__STATIC_INLINE void USBHS_DisableIntEP | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Disables interrupt for endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Ep | Endpoint number

## ◆ USBHS_DisableSOF()

__STATIC_INLINE void USBHS_DisableSOF | ( | void |  | ) |

Sets USB host disable the Generation of Start of Frame.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_EnableAddress()

__STATIC_INLINE void USBHS_EnableAddress | ( | Usbhs * | pUsbhs,
|  | uint8_t | Enable
| ) |  |

Enable or disable USB address.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  SetStatus | Set USB status

## ◆ USBHS_EnableDMAIntEP()

__STATIC_INLINE void USBHS_EnableDMAIntEP | ( | Usbhs * | pUsbhs,
|  | uint32_t | DmaEp
| ) |  |

Enables DMA interrupt for a given endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  DmaEp | Endpoint's DMA interrupt number

## ◆ USBHS_EnableEP()

__STATIC_INLINE void USBHS_EnableEP | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep,
|  | uint8_t | Enable
| ) |  |

Enables or disables endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Enable | Enable/disable endpoint

## ◆ USBHS_EnableEPIntType()

__STATIC_INLINE void USBHS_EnableEPIntType | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep,
|  | uint32_t | EpInt
| ) |  |

Enables an interrupt type for a given endpoint

## ◆ USBHS_EnableHighSpeed()

__STATIC_INLINE void USBHS_EnableHighSpeed | ( | Usbhs * | pUsbhs,
|  | uint8_t | Enable
| ) |  |

Disable/Enables High Speed mode.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Enable | Enables/disable option

## ◆ USBHS_EnableHSTestMode()

__STATIC_INLINE void USBHS_EnableHSTestMode | ( | Usbhs * | pUsbhs | ) |

Disable/Enables HS Test mode.

Parameters

  pUsbhs | Pointer to an USBHS instance.

## ◆ USBHS_EnableInt()

__STATIC_INLINE void USBHS_EnableInt | ( | Usbhs * | pUsbhs,
|  | uint32_t | IntType
| ) |  |

Enables Interrupt.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  IntType | Interrupt Type

## ◆ USBHS_EnableIntEP()

__STATIC_INLINE void USBHS_EnableIntEP | ( | Usbhs * | pUsbhs,
|  | uint8_t | EpNum
| ) |  |

Enables interrupt for a given endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  DmaNum | Endpoint's DMA number

## ◆ USBHS_EnableSOF()

__STATIC_INLINE void USBHS_EnableSOF | ( | Usbhs * | pUsbhs | ) |

Sets USB host Enable the Generation of Start of Frame.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_EnableTestMode()

__STATIC_INLINE void USBHS_EnableTestMode | ( | Usbhs * | pUsbhs,
|  | uint32_t | mode
| ) |  |

Disable/Enables Test mode.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  mode | Enables/disable option

## ◆ USBHS_ForceLowSpeed()

__STATIC_INLINE void USBHS_ForceLowSpeed | ( | Usbhs * | pUsbhs,
|  | uint8_t | Enable
| ) |  |

Force Low Speed mode.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Enable | Enables the Full speed

## ◆ USBHS_FreeMemory()

__STATIC_INLINE void USBHS_FreeMemory | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Free allocated Endpoint memory

## ◆ USBHS_FreezeClock()

__STATIC_INLINE void USBHS_FreezeClock | ( | Usbhs * | pUsbhs | ) |

Freeze or unfreeze USB clock.

# USBHS_CTRL

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Enable | Enable or disable

## ◆ USBHS_GetAddress()

__STATIC_INLINE uint8_t USBHS_GetAddress | ( | Usbhs * | pUsbhs | ) |

Get USB address.

Parameters

  pUsbhs | Pointer to an USBHS instance.

## ◆ USBHS_GetConfigureEPs()

__STATIC_INLINE uint32_t USBHS_GetConfigureEPs | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep,
|  | uint32_t | IntType
| ) |  |

Get Endpoint configuration

## ◆ USBHS_GetDmaBuffAdd()

__STATIC_INLINE uint32_t USBHS_GetDmaBuffAdd | ( | UsbhsDevdma * | pUsbDma | ) |

Gets USBHS's DMA Buffer addresse.

Parameters

  pUsbDma | USBHS device DMA instance

Returns
  DMA addrs

## ◆ USBHS_GetDmaBuffCount()

__STATIC_INLINE uint16_t USBHS_GetDmaBuffCount | ( | UsbhsDevdma * | pUsbDma | ) |

Get DMA buffer's count.

Parameters

  pUsbDma | USBHS device DMA instance

Returns
  Buffer count

## ◆ USBHS_GetDmaConfiguration()

__STATIC_INLINE uint32_t USBHS_GetDmaConfiguration | ( | UsbhsDevdma * | pUsbDma | ) |

Get DMA configuration.

Parameters

  pUsbDma | USBHS device DMA instance

Returns
  DMA control setup

## ◆ USBHS_GetDmaNDA()

__STATIC_INLINE uint32_t USBHS_GetDmaNDA | ( | UsbhsDevdma * | pUsbDma | ) |

Gets DMA next descriptor address.

Parameters

  pUsbDma | USBHS device DMA instance

Returns
  Next DMA descriptor

## ◆ USBHS_GetDmaStatus()

__STATIC_INLINE uint32_t USBHS_GetDmaStatus | ( | UsbhsDevdma * | pUsbDma | ) |

Get Dma Status.

Parameters

  pUsbDma | USBHS device DMA instance

Returns
  Dma status

## ◆ USBHS_GetEpSize()

__STATIC_INLINE uint32_t USBHS_GetEpSize | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Get Endpoint Size

## ◆ USBHS_GetEpType()

__STATIC_INLINE uint8_t USBHS_GetEpType | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Get Endpoint Type

## ◆ USBHS_GetFrameNum()

__STATIC_INLINE uint8_t USBHS_GetFrameNum | ( | Usbhs * | pUsbhs | ) |

Get Frame number.

Parameters

  pUsbhs | Pointer to an USBHS instance. \retruns frame number

## ◆ USBHS_GetFrameNumCrcErr()

__STATIC_INLINE uint8_t USBHS_GetFrameNumCrcErr | ( | Usbhs * | pUsbhs | ) |

Get Frame number CRC error.

Parameters

  pUsbhs | Pointer to an USBHS instance. \retruns Frame number error status

## ◆ USBHS_GetHostDmaBuffAdd()

__STATIC_INLINE uint32_t USBHS_GetHostDmaBuffAdd | ( | UsbhsHstdma * | pUsbDma | ) |

Gets USBHS's DMA Buffer addresse.

Parameters

  pUsbDma | USBHS device DMA instance

Returns
  DMA addrs

## ◆ USBHS_GetHostDmaConfiguration()

__STATIC_INLINE uint32_t USBHS_GetHostDmaConfiguration | ( | UsbhsHstdma * | pUsbDma | ) |

Get DMA configuration.

Parameters

  pUsbDma | USBHS device DMA instance

Returns
  DMA control setup

## ◆ USBHS_GetHostDmaNDA()

__STATIC_INLINE uint32_t USBHS_GetHostDmaNDA | ( | UsbhsHstdma * | pUsbDma | ) |

Gets DMA next descriptor address.

Parameters

  pUsbDma | USBHS device DMA instance

Returns
  Next DMA descriptor

## ◆ USBHS_GetHostDmaPipeStatus()

__STATIC_INLINE uint32_t USBHS_GetHostDmaPipeStatus | ( | Usbhs * | pUsbhs,
|  | uint8_t | PipeInt
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_GetHostPipeDmaStatus()

__STATIC_INLINE uint32_t USBHS_GetHostPipeDmaStatus | ( | UsbhsHstdma * | pUsbDma | ) |

Get Dma Status.

Parameters

  pUsbDma | USBHS device DMA instance

Returns
  Dma status

## ◆ USBHS_GetHostPipeStatus()

__STATIC_INLINE uint32_t USBHS_GetHostPipeStatus | ( | Usbhs * | pUsbhs,
|  | uint8_t | PipeInt
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_GetHostStatus()

__STATIC_INLINE uint32_t USBHS_GetHostStatus | ( | Usbhs * | pUsbhs,
|  | uint8_t | IntType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_GetMicroFrameNum()

__STATIC_INLINE uint8_t USBHS_GetMicroFrameNum | ( | Usbhs * | pUsbhs | ) |

Get MicrFrame number.

Parameters

  pUsbhs | Pointer to an USBHS instance. \retruns Micro frame number

## ◆ USBHS_GetUsbSpeed()

__STATIC_INLINE uint32_t USBHS_GetUsbSpeed | ( | Usbhs * | pUsbhs | ) |

Enable or disable USB address.

Parameters

  pUsbhs | Pointer to an USBHS instance.

Returns
  USB speed status

## ◆ USBHS_HostAckPipeIntType()

__STATIC_INLINE void USBHS_HostAckPipeIntType | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint32_t | intType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostAllocMem()

__STATIC_INLINE void USBHS_HostAllocMem | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostClearErr()

__STATIC_INLINE void USBHS_HostClearErr | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint8_t | Err
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostConfigure()

__STATIC_INLINE void USBHS_HostConfigure | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint32_t | pipeBank,
|  | uint8_t | pipeSize,
|  | uint32_t | pipeType,
|  | uint32_t | pipeToken,
|  | uint8_t | pipeEpNum,
|  | uint8_t | PipeIntFreq
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostConfigureDma()

__STATIC_INLINE void USBHS_HostConfigureDma | ( | UsbhsHstdma * | pUsbDma,
|  | uint32_t | Cfg
| ) |  |

Setup the USBHS DMA.

Parameters

  pUsbDma | USBHS device DMA instance
  Cfg | DMA's configuration

## ◆ USBHS_HostDisableAutoSw()

__STATIC_INLINE void USBHS_HostDisableAutoSw | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostDisableInReq()

__STATIC_INLINE void USBHS_HostDisableInReq | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostDisablePipeIntType()

__STATIC_INLINE void USBHS_HostDisablePipeIntType | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint32_t | intType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostDmaIntDisable()

__STATIC_INLINE void USBHS_HostDmaIntDisable | ( | Usbhs * | pUsbhs,
|  | uint8_t | PipeInt
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostDmaIntEnable()

__STATIC_INLINE void USBHS_HostDmaIntEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | PipeInt
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostEnableAutoSw()

__STATIC_INLINE void USBHS_HostEnableAutoSw | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostEnableInReq()

__STATIC_INLINE void USBHS_HostEnableInReq | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostEnablePing()

__STATIC_INLINE void USBHS_HostEnablePing | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostEnablePipeIntType()

__STATIC_INLINE void USBHS_HostEnablePipeIntType | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint32_t | intType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostFreeMem()

__STATIC_INLINE void USBHS_HostFreeMem | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetCurrentBank()

__STATIC_INLINE uint8_t USBHS_HostGetCurrentBank | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetDataTogSeq()

__STATIC_INLINE uint8_t USBHS_HostGetDataTogSeq | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetErr()

__STATIC_INLINE uint8_t USBHS_HostGetErr | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint8_t | Err
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetFramePos()

__STATIC_INLINE uint16_t USBHS_HostGetFramePos | ( | void |  | ) |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetIntTypeStatus()

__STATIC_INLINE uint32_t USBHS_HostGetIntTypeStatus | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint32_t | intType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetMSOF()

__STATIC_INLINE uint16_t USBHS_HostGetMSOF | ( | void |  | ) |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetNumOfBusyBank()

__STATIC_INLINE uint8_t USBHS_HostGetNumOfBusyBank | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetPipeByteCount()

__STATIC_INLINE uint8_t USBHS_HostGetPipeByteCount | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetPipeType()

__STATIC_INLINE uint32_t USBHS_HostGetPipeType | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetSize()

__STATIC_INLINE uint16_t USBHS_HostGetSize | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetSOF()

__STATIC_INLINE uint16_t USBHS_HostGetSOF | ( | void |  | ) |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostGetToken()

__STATIC_INLINE uint32_t USBHS_HostGetToken | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostInReq()

__STATIC_INLINE void USBHS_HostInReq | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint8_t | InReq
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostIntDisable()

__STATIC_INLINE void USBHS_HostIntDisable | ( | Usbhs * | pUsbhs,
|  | uint32_t | IntType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostIntEnable()

__STATIC_INLINE void USBHS_HostIntEnable | ( | Usbhs * | pUsbhs,
|  | uint32_t | IntType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostPipeDisable()

__STATIC_INLINE void USBHS_HostPipeDisable | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostPipeEnable()

__STATIC_INLINE void USBHS_HostPipeEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostPipeIntDisable()

__STATIC_INLINE void USBHS_HostPipeIntDisable | ( | Usbhs * | pUsbhs,
|  | uint8_t | PipeInt
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostPipeIntEnable()

__STATIC_INLINE void USBHS_HostPipeIntEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | PipeInt
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostPipeReset()

__STATIC_INLINE void USBHS_HostPipeReset | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostSetErr()

__STATIC_INLINE void USBHS_HostSetErr | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint8_t | Err
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostSetIntFreq()

__STATIC_INLINE void USBHS_HostSetIntFreq | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint8_t | Freq
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostSetPipeIntType()

__STATIC_INLINE void USBHS_HostSetPipeIntType | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint32_t | intType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostSetPipeType()

__STATIC_INLINE void USBHS_HostSetPipeType | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint8_t | PipeType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_HostSetToken()

__STATIC_INLINE void USBHS_HostSetToken | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint32_t | Token
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_IsBankFree()

__STATIC_INLINE uint8_t USBHS_IsBankFree | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Check if given endpoint's bank is free

## ◆ USBHS_IsBankKilled()

__STATIC_INLINE uint32_t USBHS_IsBankKilled | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Enables an interrupt type for a given endpoint

## ◆ USBHS_IsDmaIntEnable()

__STATIC_INLINE uint32_t USBHS_IsDmaIntEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | DmaNum
| ) |  |

Check if endpoint's DMA interrupt is enabled for a given endpoint DMA number.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  DmaNum | Endpoint's DMA number

## ◆ USBHS_IsEnableSOF()

__STATIC_INLINE uint8_t USBHS_IsEnableSOF | ( | Usbhs * | pUsbhs | ) |

Sets USB host Enable the Generation of Start of Frame.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_IsEPEnabled()

__STATIC_INLINE uint32_t USBHS_IsEPEnabled | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Checks if Endpoint is enable.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Ep | Endpoint Number

## ◆ USBHS_IsEpIntEnable()

__STATIC_INLINE uint32_t USBHS_IsEpIntEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep,
|  | uint32_t | EpIntType
| ) |  |

Check for interrupt types enabled for a given endpoint

## ◆ USBHS_IsHostConfigOk()

__STATIC_INLINE uint32_t USBHS_IsHostConfigOk | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_IsHostDmaIntEnable()

__STATIC_INLINE uint32_t USBHS_IsHostDmaIntEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | PipeInt
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_IsHostInReqEnable()

__STATIC_INLINE uint8_t USBHS_IsHostInReqEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_IsHostIntEnable()

__STATIC_INLINE uint8_t USBHS_IsHostIntEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | IntType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_IsHostPipeEnable()

__STATIC_INLINE uint32_t USBHS_IsHostPipeEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_IsHostPipeIntEnable()

__STATIC_INLINE uint32_t USBHS_IsHostPipeIntEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | PipeInt
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_IsHostPipeIntTypeEnable()

__STATIC_INLINE uint32_t USBHS_IsHostPipeIntTypeEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | Pipe,
|  | uint32_t | intType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_IsIntEnable()

__STATIC_INLINE uint32_t USBHS_IsIntEnable | ( | Usbhs * | pUsbhs,
|  | uint32_t | IntType
| ) |  |

check for interrupt of endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  IntType | Interrupt Type

## ◆ USBHS_IsIntEnableEP()

__STATIC_INLINE uint32_t USBHS_IsIntEnableEP | ( | Usbhs * | pUsbhs,
|  | uint8_t | EpNum
| ) |  |

Check if endpoint's interrupt is enabled for a given endpoint number.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  EpNum | Endpoint number

## ◆ USBHS_ISUsableClock()

__STATIC_INLINE uint8_t USBHS_ISUsableClock | ( | Usbhs * | pUsbhs | ) |

Check if clock is usable or not.

Parameters

  pUsbhs | Pointer to an USBHS instance.

Returns
  1 if USB clock is usable

## ◆ USBHS_IsUsbFullSpeed()

__STATIC_INLINE bool USBHS_IsUsbFullSpeed | ( | Usbhs * | pUsbhs | ) |

Enable or disable USB address.

Parameters

  pUsbhs | Pointer to an USBHS instance.

Returns
  USB speed status

## ◆ USBHS_IsUsbHighSpeed()

__STATIC_INLINE bool USBHS_IsUsbHighSpeed | ( | Usbhs * | pUsbhs | ) |

Enable or disable USB address.

Parameters

  pUsbhs | Pointer to an USBHS instance.

Returns
  USB speed status

## ◆ USBHS_IsUsbLowSpeed()

__STATIC_INLINE bool USBHS_IsUsbLowSpeed | ( | Usbhs * | pUsbhs | ) |

Enable or disable USB address.

Parameters

  pUsbhs | Pointer to an USBHS instance.

Returns
  USB speed status

## ◆ USBHS_KillBank()

__STATIC_INLINE void USBHS_KillBank | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Enables an interrupt type for a given endpoint

## ◆ USBHS_NumOfBanksInUse()

__STATIC_INLINE uint8_t USBHS_NumOfBanksInUse | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Read endpoint's bank number in use

## ◆ USBHS_RaiseDmaInt()

__STATIC_INLINE void USBHS_RaiseDmaInt | ( | Usbhs * | pUsbhs,
|  | uint8_t | Dma
| ) |  |

Raise DMA interrupt for endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  IntType | Interrupt Type

## ◆ USBHS_RaiseEPInt()

__STATIC_INLINE void USBHS_RaiseEPInt | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep,
|  | uint32_t | EpInt
| ) |  |

Sets/Raise register for a given endpoint

## ◆ USBHS_RaiseInt()

__STATIC_INLINE void USBHS_RaiseInt | ( | Usbhs * | pUsbhs,
|  | uint32_t | IntType
| ) |  |

Raise interrupt for endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  IntType | Interrupt Type

## ◆ USBHS_ReadDmaIntStatus()

__STATIC_INLINE uint32_t USBHS_ReadDmaIntStatus | ( | Usbhs * | pUsbhs,
|  | uint8_t | DmaNum
| ) |  |

Read status for a DMA Endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  DmaNum | DMA Endpoint

## ◆ USBHS_ReadEpIntStatus()

__STATIC_INLINE uint32_t USBHS_ReadEpIntStatus | ( | Usbhs * | pUsbhs,
|  | uint8_t | EpNum
| ) |  |

Read status for an Endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  EpNum | Endpoint

## ◆ USBHS_ReadEPStatus()

__STATIC_INLINE uint32_t USBHS_ReadEPStatus | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep,
|  | uint32_t | EpInt
| ) |  |

Gets interrupt status for a given EP

## ◆ USBHS_ReadIntStatus()

__STATIC_INLINE uint32_t USBHS_ReadIntStatus | ( | Usbhs * | pUsbhs,
|  | uint32_t | IntType
| ) |  |

Read status for an interrupt.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  IntType | Interrupt type

## ◆ USBHS_ReadStatus()

__STATIC_INLINE uint32_t USBHS_ReadStatus | ( | Usbhs * | pUsbhs | ) |

Raise interrupt for endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.

Returns
  USB status

## ◆ USBHS_Reset()

__STATIC_INLINE void USBHS_Reset | ( | void |  | ) |

Sets USB host sends reste signal on USB Bus.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_ResetEP()

__STATIC_INLINE void USBHS_ResetEP | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep
| ) |  |

Rests Endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Ep | Endpoint Number

## ◆ USBHS_Resume()

__STATIC_INLINE void USBHS_Resume | ( | void |  | ) |

Sets USB host send Resume on USB bus.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_Set()

__STATIC_INLINE void USBHS_Set | ( | Usbhs * | pUsbhs,
|  | uint32_t | SetStatus
| ) |  |

Raise interrupt for endpoint.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  SetStatus | Set USB status

## ◆ USBHS_SetAddress()

__STATIC_INLINE void USBHS_SetAddress | ( | Usbhs * | pUsbhs,
|  | uint8_t | Addr
| ) |  |

Configure USB address and enable or disable it.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Addr | USB device status

## ◆ USBHS_SetDmaBuffAdd()

__STATIC_INLINE void USBHS_SetDmaBuffAdd | ( | UsbhsDevdma * | pUsbDma,
|  | uint32_t | Addr
| ) |  |

Sets USBHS's DMA Buffer addresse.

Parameters

  pUsbDma | USBHS device DMA instance
  Addr | DMA's buffer Addrs

## ◆ USBHS_SetDmaNDA()

__STATIC_INLINE void USBHS_SetDmaNDA | ( | UsbhsDevdma * | pUsbDma,
|  | uint32_t | Desc
| ) |  |

Sets DMA next descriptor address.

Parameters

  pUsbDma | USBHS device DMA instance
  Desc | NDA address

## ◆ USBHS_SetDmaStatus()

__STATIC_INLINE void USBHS_SetDmaStatus | ( | UsbhsDevdma * | pUsbDma,
|  | uint32_t | Status
| ) |  |

Set DMA status.

Parameters

  pUsbDma | USBHS device DMA instance \Status Set DMA status

## ◆ USBHS_SetHostDmaBuffAdd()

__STATIC_INLINE void USBHS_SetHostDmaBuffAdd | ( | UsbhsHstdma * | pUsbDma,
|  | uint32_t | Addr
| ) |  |

Sets USBHS's DMA Buffer addresse.

Parameters

  pUsbDma | USBHS device DMA instance
  Addr | DMA's buffer Addrs

## ◆ USBHS_SetHostDmaNDA()

__STATIC_INLINE void USBHS_SetHostDmaNDA | ( | UsbhsHstdma * | pUsbDma,
|  | uint32_t | Desc
| ) |  |

Sets DMA next descriptor address.

Parameters

  pUsbDma | USBHS device DMA instance
  Desc | NDA addrs

## ◆ USBHS_SetHostDmaStatus()

__STATIC_INLINE void USBHS_SetHostDmaStatus | ( | Usbhs * | pUsbhs,
|  | uint8_t | PipeInt
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_SetHostForcedFullSpeed()

__STATIC_INLINE void USBHS_SetHostForcedFullSpeed | ( | Usbhs * | pUsbhs | ) |

Sets USB host's speed to forced Full speed.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_SetHostHighSpeed()

__STATIC_INLINE void USBHS_SetHostHighSpeed | ( | Usbhs * | pUsbhs | ) |

Sets USB host's speed to Normal , it sets to HS from FS.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_SetHostLowSpeed()

__STATIC_INLINE void USBHS_SetHostLowSpeed | ( | Usbhs * | pUsbhs | ) |

Sets USB host's speed to Low speed.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_SetHostPipeDmaStatus()

__STATIC_INLINE void USBHS_SetHostPipeDmaStatus | ( | UsbhsHstdma * | pUsbDma,
|  | uint32_t | Status
| ) |  |

Set DMA status.

Parameters

  pUsbDma | USBHS device DMA instance \Status Set DMA status

## ◆ USBHS_SetHostStatus()

__STATIC_INLINE void USBHS_SetHostStatus | ( | Usbhs * | pUsbhs,
|  | uint32_t | IntType
| ) |  |

Gets USB host interrupt status.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_SetIsoTrans()

__STATIC_INLINE void USBHS_SetIsoTrans | ( | Usbhs * | pUsbhs,
|  | uint8_t | Ep,
|  | uint8_t | nbTrans
| ) |  |

Sets ISO endpoint's Number of Transfer for High Speed

## ◆ USBHS_SetRemoteWakeUp()

__STATIC_INLINE void USBHS_SetRemoteWakeUp | ( | Usbhs * | pUsbhs | ) |

Set Remote WakeUp mode.

Parameters

  pUsbhs | Pointer to an USBHS instance.

## ◆ USBHS_StopReset()

__STATIC_INLINE void USBHS_StopReset | ( | void |  | ) |

Sets USB host sends reste signal on USB Bus.

Parameters

  pUsbhs | USBHS host instance

## ◆ USBHS_UnFreezeClock()

__STATIC_INLINE void USBHS_UnFreezeClock | ( | Usbhs * | pUsbhs | ) |

Freeze or unfreeze USB clock.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Enable | Enable or disable

## ◆ USBHS_UsbEnable()

__STATIC_INLINE void USBHS_UsbEnable | ( | Usbhs * | pUsbhs,
|  | uint8_t | Enable
| ) |  |

Enables or disables USB.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Enable | Enable or disable

## ◆ USBHS_UsbMode()

__STATIC_INLINE void USBHS_UsbMode | ( | Usbhs * | pUsbhs,
|  | USB_Mode_t | Mode
| ) |  |

Device or Host Mode.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Mode | Device or Host Mode

## ◆ USBHS_VBusHWC()

__STATIC_INLINE void USBHS_VBusHWC | ( | Usbhs * | pUsbhs,
|  | uint8_t | Enable
| ) |  |

Freeze or unfreeze USB clock.

Parameters

  pUsbhs | Pointer to an USBHS instance.
  Enable | Enable or disable